Skip to main content
POST
/momondo/cars/search

Authorizations

access-token
string
header
required

API token from the dashboard

Headers

access-token
string
required

Body

application/json
location
string
required
Minimum string length: 2
pickup_date
string<date>
required
dropoff_date
string<date>
required
count
integer
required
Required range: x >= 1
timeout
integer
default:300
Required range: 20 <= x <= 1500
pickup_hour
integer
default:10
Required range: 0 <= x <= 23
dropoff_hour
integer
default:10
Required range: 0 <= x <= 23
max_price
number | null
Required range: x > 0
car_classes
enum<string>[]
Available options:
small,
medium,
large,
suv,
van,
luxury,
special,
commercial,
pickup_truck,
convertible
vendors
enum<string>[]
Available options:
ace,
alamo,
avis,
budget,
dollar,
drivo,
enterprise,
hertz,
national,
payless,
priceless,
rent_a_wreck,
sixt,
thrifty,
turo
fuel_types
enum<string>[]
Available options:
hybrid,
electric,
gas,
other
payment_types
enum<string>[]
Available options:
pay_now,
partial,
pay_at_counter
passenger_capacity
enum<string> | null
Available options:
seats_2_4,
seats_5_6,
seats_7_plus
automatic_only
boolean
default:false
sort
enum<string>
default:cheapest
Available options:
cheapest,
distance,
best

Response

Successful Response

id
string
required
@type
string
default:MomondoCar
car_name
string | null
car_class
string | null
sip_code
string | null
seats
integer | null
bags
integer | null
transmission
string | null
has_air_conditioning
boolean | null
fuel_type
string | null
image
string | null
agency
string | null
price
number | null
currency
string | null
pickup_distance
string | null
offers
object[]